summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <slackbuilds@jaxartes.net>2014-06-07 08:09:30 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-06-12 06:51:40 +0700
commit66b269bafa4d7c6277df3fd4cbb6f4ae70ae5708 (patch)
tree22494bc73518ca73c6ea679126d071b56978eecf
parent3a519f6e4bfc88774f66ea240b6738c0f9c3513c (diff)
downloadslackbuilds-66b269bafa4d7c6277df3fd4cbb6f4ae70ae5708.tar.gz
slackbuilds-66b269bafa4d7c6277df3fd4cbb6f4ae70ae5708.tar.xz
libraries/lua-lpeg: Added (pattern matching library for Lua).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/lua-lpeg/README11
-rw-r--r--libraries/lua-lpeg/lua-lpeg.SlackBuild86
-rw-r--r--libraries/lua-lpeg/lua-lpeg.info10
-rw-r--r--libraries/lua-lpeg/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/libraries/lua-lpeg/README b/libraries/lua-lpeg/README
new file mode 100644
index 0000000000..1ef11d574e
--- /dev/null
+++ b/libraries/lua-lpeg/README
@@ -0,0 +1,11 @@
+LPeg is a new pattern-matching library for Lua, based on Parsing Expression
+Grammars (PEGs).
+
+The library offers several functions to create and compose patterns. With the
+use of metamethods, several of these functions are provided as infix or prefix
+operators. On the one hand, the result is usually much more verbose than the
+typical encoding of patterns using the so called regular expressions (which
+typically are not regular expressions in the formal sense). On the other hand,
+first-class patterns allow much better documentation (as it is easy to comment
+the code, to break complex definitions in smaller parts, etc.) and are
+extensible, as we can define new functions to create and compose patterns.
diff --git a/libraries/lua-lpeg/lua-lpeg.SlackBuild b/libraries/lua-lpeg/lua-lpeg.SlackBuild
new file mode 100644
index 0000000000..9f3227f738
--- /dev/null
+++ b/libraries/lua-lpeg/lua-lpeg.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# SlackBuild script for lua-lpeg
+
+# Copyright 2014 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lua-lpeg
+SRCNAM=lpeg
+VERSION=${VERSION:-0.12}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || tar xvf $CWD/v$VERSION.tar.?z*
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+
+# Manual install
+install -m 0755 -D lpeg.so $PKG/usr/lib$LIBDIRSUFFIX/lua/5.1/lpeg.so
+install -m 0644 -D re.lua $PKG/usr/share/lua/5.1/re.lua
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a HISTORY $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/lua-lpeg/lua-lpeg.info b/libraries/lua-lpeg/lua-lpeg.info
new file mode 100644
index 0000000000..ceb326588d
--- /dev/null
+++ b/libraries/lua-lpeg/lua-lpeg.info
@@ -0,0 +1,10 @@
+PRGNAM="lua-lpeg"
+VERSION="0.12"
+HOMEPAGE="http://www.inf.puc-rio.br/~roberto/lpeg/"
+DOWNLOAD="http://www.inf.puc-rio.br/~roberto/lpeg/lpeg-0.12.tar.gz"
+MD5SUM="4abb3c28cd8b6565c6a65e88f06c9162"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lua"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/libraries/lua-lpeg/slack-desc b/libraries/lua-lpeg/slack-desc
new file mode 100644
index 0000000000..bc6f761d5b
--- /dev/null
+++ b/libraries/lua-lpeg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lua-lpeg: lua-lpeg (pattern matching library for Lua)
+lua-lpeg:
+lua-lpeg: LPeg is a new pattern-matching library for Lua, based on Parsing
+lua-lpeg: Expression Grammars.
+lua-lpeg:
+lua-lpeg:
+lua-lpeg:
+lua-lpeg:
+lua-lpeg:
+lua-lpeg:
+lua-lpeg: